Page MenuHome

CRASH when click "Viewport Shading - Rendered" icon
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-7-6.1.7601-SP1 64 Bits
Graphics card: Intel(R) HD Graphics 4600 Intel 4.3.0 - Build 10.18.14.5067

Blender Version
Broken: version: 2.80 (sub 74), branch: master, commit date: 2019-07-11 11:00, hash: rBd663048696b2
Worked: (optional)

Short description of error
When click "Viewport Shading - Rendered" icon, Blender 2.8 crashes immediately.

Exact steps for others to reproduce the error
When clicking "Viewport Shading - Rendered" icon (between "Viewport Shading - Look Dev" and "Viewport Shading > dropdown" arrow icon, Blender 2.8 crashes immediately.

Details

Event Timeline

Don (donhartig) closed this task as Invalid.Jul 12 2019, 5:42 AM
Don (donhartig) claimed this task.

Sorry, this one can not be reproduced consistently. Was happening every time (at least in Eevee mode") but now seems to be working without crashing.

Don (donhartig) reopened this task as Open.Jul 12 2019, 7:36 AM

Sorry, this is still happening at least 50% of the time when the "Rendered" viewport shader is selected so I changed this bug back to "Open".

I'll merge all crash reports here as it seems like this is probably your GPU drivers that are at fault.

Does it help if you run blender with --debug-gpu-force-workarounds ?
What is the output if you run blender with --debug-gpu?

Hi Sebastian,

Updated all GPU drivers for Intel 4600 yesterday so perhaps a different reason.

OK, I ran it with --debug-gpu and here is the output:

Hope this helps.

Did it help with the workarounds flag?

Don (donhartig) added a comment.EditedJul 12 2019, 10:59 AM

Hi, just finished with workarounds flag. It worked for

  1. Adding texture CRASH, and
  2. Sliding "Metallic" property to 100% (1.0)

BUT not for:

  1. Selecting custom-installed HDRI - it appears in the HDRI list section but still crashes when the custom-installed HDRI is clicked. Default HDRIs do not lead to crash.

Here is the output when crashes in case #3, DESPITE using --debug-gpu-force-workarounds:

UPDATE: Immediate crashing when clicking on "Rendered" also seems to have stopped with --debug-gpu-force-workarounds flag.

So now it's only the one error that persists, i.e. #3: user-installed HDRI map causing crash when selected from HDRI dropdown menu with "Look Dev" selected. Here's a screenshot:

How much video memory do you have? I'm guessing that you simply run out if VRAM in that case.

Don (donhartig) added a comment.EditedJul 12 2019, 11:30 AM

Video memory is still the exact same vid memory I have been using for more than a year with 2.79 with ZERO crashes ever.


I could not find an specific minimum requirements for 2.80. If the requirements are exactly the same as for 2.79, then surely it should not be crashing every 2 minutes on my current specs as this has never happened with daily use with 2.79.

Or am I missing something?

If the requirements have changed for 2.8, could you perhaps point out what is now required?

Thanks.

I was specifically talking about the HDRI issue. The others are simply drivers issues that are worked around with the --debug-gpu-force-workarounds flag.

Does the HDRI still still crash if you limit texture sizes?:

OK, tried everything I can think of vis. the HDRI issue. I guess you must be right although HDRIs worked in cycles in 2.79 with the same hardware.

Yes, also tried limiting screen size on all settings, but still crashes when try to select HDRIs other than the default ones.
However I discovered one thing: When I install smaller HDRIs, there does not appear to be a problem. The previous ones I was trying were all 16K.

One final question: the --debug-gpu-force-workarounds flag seems to have solved 3 out of the 4 problems but does this mean that in order to use 2.8 with my current hardware configuration, I will have to continue using this flag indefinitely? I.e. does 2.8 require a discrete graphics card to run without crashes if the flag is not used?

Thanks.

Sebastian Parborg (zeddb) triaged this task as Normal priority.

We will add your GPU to the automatic workaround list eventually.

OK, thanks a lot. The link sent by @Vyacheslav (Ghostil) indicates that my GPU is supported by Blender 2.80. Hope things will be running more smoothly soon.

I would like to thank you guys for your hard work on this project and your lightning-fast responsiveness. You are truly even more effective than any paid online service I have ever had to deal with and I have just published on Blendernation in which I hope to bring more attention and gratitude to the phenomenal work you are doing.

Looking forward to next update.

~Don

@Don (donhartig) as you had reported, you are under minimum requierement hardware, your maximum vodeo memory shuld be 1824M instead minimun requiered of 2048M, your picture show you use 192M video memory

Jeroen Bakker (jbakker) closed this task as Resolved.Jul 15 2019, 11:26 AM